Subject: Re: Handling expensive packages

From: Peter Polidoro <[email-masked]>
Date: Tue, 12 Mar 2024 16:45:47 -0400

You can ignore or delete this patch if it is causing problems.

If I remember correctly, that was a patch I submitted a couple of years ago when I was attempting to package some embedded software tools, either the zephyr west tool or platformio, both written in python. That sent me down the rabbit hole of dependency updates, the python-mock package being one of them.

I would still love to have both west and platformio packaged in guix. Perhaps those exist now in Guix or another channel, I have not checked in a while. If not, I will attempt to package them again at some point. 

Thanks!

> On Mar 12, 2024, at 15:59, [email-masked] wrote:
> Hey Peter!
> 
> Your patch found its way on onto the guix devel list!
> 
> Thanks for contributing to guix!  We want to add your patch, and we are wondering what your motivation was for sending this patch?  Is your patch a prerequisite for a package you want to add?  Or do you have some other reason?
> 
> Thanks,
> 
> Joshua
> https://gnucode.me